Subject: Re: [bess] handling DAD in draft-ietf-bess-evpn-inter-subnet-forwarding-05

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 4 Feb 2019 05:56:15 +0000

On 1/31/19, 1:39 AM, "Sowmini Varadhan" <[email-masked]> wrote:

    On Wed, Jan 30, 2019 at 9:20 PM Ali Sajassi (sajassi) [email-masked] wrote:
    
    sajassi> AS> RFC 7431 has procedures for duplicate MAC address detection.
    
    rfc 7431 is the Informational RFC titled "Multicast-Only Fast Reroute".
    
    Perhaps you mean rfc 7432. And I suspect you mean Section 15.1
    
    draft*evpn-inter-subnet-forwarding should call out this cross-reference
    explicitly, so that the reader does not have to speculate (as I
    just did)
    
AS>> I will call out the reference explicitly. 

    sajassi> AS> If ARP probing is done before the target NVE gets to
    declare that the TS has moved, then the MAC move is delayed
    unnecessarily for ALL the legitimate MAC move cases which in turn can
    cause some loss of traffic and degradation in service. It should be
    noted that the MAC move procedures in here is consistent with RFC
    7432.
    sajassi> AS> same reply as above.
    
    it's a bit odd that lot of chaos can happen for approx 3 mins
    when there is actually a duplicate address (created accidentally
    or maliciously) but I suppose you could say that this is already
    based on 7431, so not something introduced by
    draft*evpn-inter-subnet-forwarding
    
AS>> That's correct. The important thing is the detection of such duplication and avoid re-advertisements of MAC addresses as specified in RFC 7432.
Cheers,
Ali

    Thanks
    --Sowmini